

set -ex



beat editor --help
beat editor serve --help
nosetests --with-coverage --cover-package=beat.editor -sv beat.editor
export CHROMIUM_BIN=chromium-browser
if [ -n "${BEAT_BROWSER_TESTS}" ]; then python linkeditor.py; cd js; npm install; npm test; cd -; fi
unset CHROMIUM_BIN
sphinx-build -aEW ${PREFIX}/share/doc/beat.editor/doc sphinx
if [ -n "${CI_PROJECT_DIR}" ]; then mv sphinx "${CI_PROJECT_DIR}/"; fi
sphinx-build -aEb doctest ${PREFIX}/share/doc/beat.editor/doc sphinx
conda inspect linkages -p $PREFIX beat.editor
exit 0
